Bug 1560564 - autoreconf aborts
Summary: autoreconf aborts
Keywords:
Status: ASSIGNED
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: mainline
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: spamecha
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-26 12:54 UTC by Patrick Matthäi
Modified: 2019-08-31 17:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 18:28:25 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Patrick Matthäi 2018-03-26 12:54:45 UTC
Hello,

I have got the problem, that I can not autoreconf the package with up to date libtool/autoconf files. This is required for newer Debian packages and also if we have to patch something in the build process (or adding new ports). This is everytime all I get:


I: Building the package
I: Running cd /build/glusterfs-4.0.1/ && env PATH="/usr/sbin:/usr/bin:/sbin:/bin" HOME="/nonexistent" dpkg-buildpackage -us -uc -rfakeroot
dpkg-buildpackage: info: source package glusterfs
dpkg-buildpackage: info: source version 4.0.1-1
dpkg-buildpackage: info: source distribution UNRELEASED
dpkg-buildpackage: info: source changed by Patrick Matthäi <pmatthaei@debian.org>
dpkg-buildpackage: info: host architecture amd64
 dpkg-source --before-build glusterfs-4.0.1
 fakeroot debian/rules clean
dh clean --with python2 --with autotools-dev --with systemd
dh: The autotools-dev sequence is deprecated and replaced by dh in debhelper (>= 9.20160115)
dh: This feature will be removed in compat 12.
   dh_autotools-dev_restoreconfig
dh_autotools-dev_restoreconfig: dh_autotools-dev_restoreconfig is deprecated; please see dh_autotools-dev_restoreconfig(1) for a replacement
dh_autotools-dev_restoreconfig: This feature will be removed in compat 12.
   dh_clean
 dpkg-source -b glusterfs-4.0.1
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building glusterfs using existing ./glusterfs_4.0.1.orig.tar.gz
dpkg-source: info: building glusterfs in glusterfs_4.0.1-1.debian.tar.xz
dpkg-source: info: building glusterfs in glusterfs_4.0.1-1.dsc
 debian/rules build
dh build --with python2 --with autotools-dev --with systemd
dh: The autotools-dev sequence is deprecated and replaced by dh in debhelper (>= 9.20160115)
dh: This feature will be removed in compat 12.
   dh_update_autotools_config
   dh_autoreconf
configure.ac:19: installing './compile'
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
libtoolize: and rerunning libtoolize and aclocal.
libtoolize: Consider adding '-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
configure.ac:276: installing './compile'
configure.ac:16: installing './missing'
Makefile.am:3: warning: shell find $(top_srcdir: non-POSIX variable name
Makefile.am:3: (probably a GNU make extension)
Makefile.am: error: required file './README' not found
Makefile.am: installing './COPYING' using GNU General Public License v3 file
Makefile.am:     Consider adding the COPYING file to the version control system
Makefile.am:     for your code, to avoid questions about which license your project uses
api/examples/Makefile.am: installing './depcomp'
contrib/fuse-util/Makefile.am:3: warning: source file '$(CONTRIBDIR)/fuse-lib/mount-common.c' is in a subdirectory,
contrib/fuse-util/Makefile.am:3: but option 'subdir-objects' is disabled
automake: warning: possible forward-incompatibility.
automake: At least a source file is in a subdirectory, but the 'subdir-objects'
automake: automake option hasn't been enabled.  For now, the corresponding output
automake: object file(s) will be placed in the top-level directory.  However,
automake: this behaviour will change in future Automake versions: they will
automake: unconditionally cause object files to be placed in the same subdirectory
automake: of the corresponding sources.
automake: You are advised to start using 'subdir-objects' option throughout your
automake: project, to avoid future incompatibilities.
extras/LinuxRPM/Makefile.am:35: warning: shell pwd: non-POSIX variable name
extras/LinuxRPM/Makefile.am:35: (probably a GNU make extension)
extras/LinuxRPM/Makefile.am:39: warning: shell pwd: non-POSIX variable name
extras/LinuxRPM/Makefile.am:39: (probably a GNU make extension)
extras/LinuxRPM/Makefile.am:46: warning: shell pwd: non-POSIX variable name
extras/LinuxRPM/Makefile.am:46: (probably a GNU make extension)
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/rbtree/rb.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/libgen/basename_r.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/libgen/dirname_r.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/stdlib/gf_mkostemp.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/mount/mntent.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/libexecinfo/execinfo.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/timer-wheel/timer-wheel.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/timer-wheel/find_last_bit.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/xxhash/xxhash.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/clear.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/copy.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/gen_uuid.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/pack.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/parse.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/unparse.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/uuid_time.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/compare.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/isnull.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/unpack.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
rpc/rpc-lib/src/Makefile.am:3: warning: source file '$(CONTRIBDIR)/sunrpc/xdr_sizeof.c' is in a subdirectory,
rpc/rpc-lib/src/Makefile.am:3: but option 'subdir-objects' is disabled
xlators/cluster/afr/src/Makefile.am:4: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/afr/src/Makefile.am:4: but option 'subdir-objects' is disabled
xlators/cluster/dht/src/Makefile.am:10: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/dht/src/Makefile.am:10: but option 'subdir-objects' is disabled
xlators/cluster/ec/src/Makefile.am:4: warning: ':='-style assignments are not portable
xlators/cluster/ec/src/Makefile.am:23: warning: ':='-style assignments are not portable
xlators/cluster/ec/src/Makefile.am:59: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/ec/src/Makefile.am:59: but option 'subdir-objects' is disabled
xlators/cluster/stripe/src/Makefile.am:7: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/stripe/src/Makefile.am:7: but option 'subdir-objects' is disabled
xlators/features/changelog/lib/src/Makefile.am:24: warning: source file '$(top_srcdir)/xlators/features/changelog/src/changelog-rpc-common.c' is in a subdirectory,
xlators/features/changelog/lib/src/Makefile.am:24: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:26: warning: source file '$(CONTRIBDIR)/fuse-lib/misc.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:26: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:23: warning: source file '$(CONTRIBDIR)/fuse-lib/mount.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:23: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:23: warning: source file '$(CONTRIBDIR)/fuse-lib/mount-common.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:23: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:23: warning: source file '$(CONTRIBDIR)/macfuse/mount_darwin.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:23: but option 'subdir-objects' is disabled
autoreconf: automake failed with exit status: 1
dh_autoreconf: autoreconf -f -i returned exit code 1
make: *** [debian/rules:8: build] Error 2
dpkg-buildpackage: error: debian/rules build subprocess returned exit status 2
I: copying local configuration
E: Failed autobuilding of package

Comment 1 Shyamsundar 2018-06-20 18:28:25 UTC
This bug reported is against a version of Gluster that is no longer maintained
(or has been EOL'd). See https://www.gluster.org/release-schedule/ for the
versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline
gluster repository, request that it be reopened and the Version field be marked
appropriately.

Comment 2 Patrick Matthäi 2018-07-26 12:15:18 UTC
The only obsoleted thing here is the build system of glusterfs, not the report.
Status with 4.1.2:

configure.ac:19: installing './compile'
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
libtoolize: and rerunning libtoolize and aclocal.
libtoolize: Consider adding '-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
configure.ac:276: installing './compile'
configure.ac:16: installing './missing'
Makefile.am:3: warning: shell find $(top_srcdir: non-POSIX variable name
Makefile.am:3: (probably a GNU make extension)
Makefile.am: error: required file './README' not found
Makefile.am: installing './COPYING' using GNU General Public License v3 file
Makefile.am:     Consider adding the COPYING file to the version control system
Makefile.am:     for your code, to avoid questions about which license your project uses
api/examples/Makefile.am: installing './depcomp'
contrib/fuse-util/Makefile.am:3: warning: source file '$(CONTRIBDIR)/fuse-lib/mount-common.c' is in a subdirectory,
contrib/fuse-util/Makefile.am:3: but option 'subdir-objects' is disabled
automake: warning: possible forward-incompatibility.
automake: At least a source file is in a subdirectory, but the 'subdir-objects'
automake: automake option hasn't been enabled.  For now, the corresponding output
automake: object file(s) will be placed in the top-level directory.  However,
automake: this behaviour will change in future Automake versions: they will
automake: unconditionally cause object files to be placed in the same subdirectory
automake: of the corresponding sources.
automake: You are advised to start using 'subdir-objects' option throughout your
automake: project, to avoid future incompatibilities.
extras/LinuxRPM/Makefile.am:35: warning: shell pwd: non-POSIX variable name
extras/LinuxRPM/Makefile.am:35: (probably a GNU make extension)
extras/LinuxRPM/Makefile.am:39: warning: shell pwd: non-POSIX variable name
extras/LinuxRPM/Makefile.am:39: (probably a GNU make extension)
extras/LinuxRPM/Makefile.am:46: warning: shell pwd: non-POSIX variable name
extras/LinuxRPM/Makefile.am:46: (probably a GNU make extension)
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/rbtree/rb.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/libgen/basename_r.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/libgen/dirname_r.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/stdlib/gf_mkostemp.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/mount/mntent.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/libexecinfo/execinfo.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/timer-wheel/timer-wheel.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/timer-wheel/find_last_bit.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:24: warning: source file '$(CONTRIBDIR)/xxhash/xxhash.c' is in a subdirectory,
libglusterfs/src/Makefile.am:24: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/clear.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/copy.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/gen_uuid.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/pack.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/parse.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/unparse.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/uuid_time.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/compare.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/isnull.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
libglusterfs/src/Makefile.am:76: warning: source file '$(CONTRIBDIR)/uuid/unpack.c' is in a subdirectory,
libglusterfs/src/Makefile.am:76: but option 'subdir-objects' is disabled
rpc/rpc-lib/src/Makefile.am:3: warning: source file '$(CONTRIBDIR)/sunrpc/xdr_sizeof.c' is in a subdirectory,
rpc/rpc-lib/src/Makefile.am:3: but option 'subdir-objects' is disabled
xlators/cluster/afr/src/Makefile.am:4: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/afr/src/Makefile.am:4: but option 'subdir-objects' is disabled
xlators/cluster/dht/src/Makefile.am:10: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/dht/src/Makefile.am:10: but option 'subdir-objects' is disabled
xlators/cluster/ec/src/Makefile.am:4: warning: ':='-style assignments are not portable
xlators/cluster/ec/src/Makefile.am:23: warning: ':='-style assignments are not portable
xlators/cluster/ec/src/Makefile.am:59: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/ec/src/Makefile.am:59: but option 'subdir-objects' is disabled
xlators/cluster/stripe/src/Makefile.am:7: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/cluster/stripe/src/Makefile.am:7: but option 'subdir-objects' is disabled
xlators/features/changelog/lib/src/Makefile.am:24: warning: source file '$(top_srcdir)/xlators/features/changelog/src/changelog-rpc-common.c' is in a subdirectory,
xlators/features/changelog/lib/src/Makefile.am:24: but option 'subdir-objects' is disabled
xlators/features/cloudsync/src/Makefile.am:9: warning: CLOUDSYNC_SRC multiply defined in condition TRUE ...
xlators/features/cloudsync/src/Makefile.am:5: ... 'CLOUDSYNC_SRC' previously defined here
xlators/features/cloudsync/src/Makefile.am:12: warning: source file '$(CLOUDSYNC_SRC)/cloudsync-common.c' is in a subdirectory,
xlators/features/cloudsync/src/Makefile.am:12: but option 'subdir-objects' is disabled
xlators/features/thin-arbiter/src/Makefile.am:9: warning: source file '$(top_builddir)/xlators/lib/src/libxlator.c' is in a subdirectory,
xlators/features/thin-arbiter/src/Makefile.am:9: but option 'subdir-objects' is disabled
xlators/features/utime/src/Makefile.am:6: warning: source file '$(UTIME_SRC)/utime-helpers.c' is in a subdirectory,
xlators/features/utime/src/Makefile.am:6: but option 'subdir-objects' is disabled
xlators/features/utime/src/Makefile.am:6: warning: source file '$(UTIME_SRC)/utime.c' is in a subdirectory,
xlators/features/utime/src/Makefile.am:6: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:26: warning: source file '$(CONTRIBDIR)/fuse-lib/misc.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:26: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:23: warning: source file '$(CONTRIBDIR)/fuse-lib/mount.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:23: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:23: warning: source file '$(CONTRIBDIR)/fuse-lib/mount-common.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:23: but option 'subdir-objects' is disabled
xlators/mount/fuse/src/Makefile.am:23: warning: source file '$(CONTRIBDIR)/macfuse/mount_darwin.c' is in a subdirectory,
xlators/mount/fuse/src/Makefile.am:23: but option 'subdir-objects' is disabled
autoreconf: automake failed with exit status: 1
dh_autoreconf: autoreconf -f -i returned exit code 1

Comment 3 Patrick Matthäi 2018-11-15 09:51:37 UTC
Also present in 5.1

For Debian it is important that this gets fixed


Note You need to log in before you can comment on or make changes to this bug.